Page MenuHomePhabricator

[zorg] Use https for svn-test-suite stage of buildbot
ClosedPublic

Authored by kamaub on Jul 4 2019, 1:09 PM.

Details

Summary

svn checkout fails at the svn-test-suite stage of the buildbot bcse of a bug with svn when using http. This was originally identified in this [[ https://bugs.llvm.org/show_bug.cgi?id=36358 | bugzilla ]]report and fixed in this patch - rL329138. A module called LLVMBuildFactory was modified in this patch - rL346382 to handle the svn-test-suite stage but did not account for the need for secure http when running svn-test-suite. The code that did account for this need was replaced with code using the LLVMBuildFactory in this patch - rL346831.

In this patch edits in patch - rL346382 will be changed to also account for this bugzilla

Diff Detail

Repository
rL LLVM

Event Timeline

kamaub created this revision.Jul 4 2019, 1:09 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 4 2019, 1:09 PM

@gkistanova
Hi Galina,
We are having intermittent svn failures on our lnt build bot as a result of this http vs. https issue. (The bot: http://lab.llvm.org:8011/builders/clang-ppc64be-linux-lnt)
Would it be possible to take a look at this patch because we think that this will fix our bot.
Thank you!

gkistanova requested changes to this revision.EditedJul 10 2019, 10:57 AM

Hello Kamau,

This is not a good idea to push every bot to have HTTPS overhead just because you have infrastructure problems with your 4 builders.

Instead, please specify vcs_protocol property for your bots to be https. This would make your bots check the source code out over HTTPS.

This revision now requires changes to proceed.Jul 10 2019, 10:57 AM

Instead, please specify vcs_protocol property for your bots to be https. This would make your bots check the source code over HTTPS.

Hi Galina,
I'm not sure what this means, could you clarify. Are you referring to making a separate variable besides the master_protocol in zorg/buildbot/util/artifacts.py or overriding the master in a config file somewhere? I'm not sure what vcs_protocol is but i do agree with you, i shouldn't be forcing all that overhead onto all of the buildbots, thank you.

I mean something like this:

Index: zorg/buildbot/osuosl/master/config/slaves.py
===================================================================
--- zorg/buildbot/osuosl/master/config/slaves.py      (revision 365726)
+++ zorg/buildbot/osuosl/master/config/slaves.py      (working copy)
@@ -81,7 +81,7 @@

         # POWER7 PowerPC big endian (powerpc64)
         create_slave("ppc64be-clang-test", properties={'jobs': 16}, max_builds=1),
-        create_slave("ppc64be-clang-lnt-test", properties={'jobs': 16}, max_builds=1),
+        create_slave("ppc64be-clang-lnt-test", properties={'jobs': 16, 'vcs_protocol': 'https'}, max_builds=1),
         create_slave("ppc64be-clang-multistage-test", properties={'jobs': 16}, max_builds=1),
         create_slave("ppc64be-sanitizer", properties={'jobs': 16}, max_builds=1),
kamaub updated this revision to Diff 209318.EditedJul 11 2019, 1:53 PM

So I made the change as recommend, thank you very much for all your help.

As far as I can tell rL365596 (thank you again :) )did all the leg work to make this change work. Is there anything else I would need to add?

gkistanova accepted this revision.Jul 12 2019, 3:28 PM

That should be the only change for your builder.
Please feel free to commit.

This revision is now accepted and ready to land.Jul 12 2019, 3:28 PM

Hi @gkistanova I don't have commit permissions for zorg, would you be able to commit it for me?

Sure. I'll commit this for you.

This revision was automatically updated to reflect the committed changes.